## lskat 18.08.3

=== debian/changelog ===
lskat (4:18.08.3-0ubuntu1) disco; urgency=medium

  [ Rik Mills ]
  * New upstream release (18.08.0)
  * New upstream release (18.08.3)

  [ José Manuel Santamaría Lema ]
  * Merge with debian, remaining changes:
    - keep l10npkgs_firstversion_ok := 4:17.08.3~

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 26 Dec 2018 17:54:49 +0000

=== debian/control ===
Source: lskat
Section: games
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Daniel Schepler <schepler@debian.org>,
           Sune Vuorela <sune@debian.org>,
           Modestas Vainius <modax@debian.org>,
           George Kiagiadakis <gkiagiad@csd.uoc.gr>,
           Eshat Cakar <info@eshat.de>,
           Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
           Maximiliano Curia <maxy@debian.org>,
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 11),
               extra-cmake-modules (>= 5.30.0~),
               libkf5config-dev (>= 5.30.0~),
               libkf5configwidgets-dev (>= 5.30.0~),
               libkf5coreaddons-dev (>= 5.30.0~),
               libkf5crash-dev (>= 5.30.0~),
               libkf5dbusaddons-dev (>= 5.30.0~),
               libkf5doctools-dev (>= 5.30.0~),
               libkf5guiaddons-dev (>= 5.30.0~),
               libkf5i18n-dev (>= 5.30.0~),
               libkf5kdegames-dev (>= 4:18.08.3~),
               libkf5widgetsaddons-dev (>= 5.30.0~),
               libkf5xmlgui-dev (>= 5.30.0~),
               libphonon4qt5-dev,
               libqt5svg5-dev (>= 5.7.0~),
               pkg-kde-tools (>= 0.14),
               qtbase5-dev (>= 5.7.0~),
               qtdeclarative5-dev (>= 5.7.0~),
Standards-Version: 4.1.4
Homepage: http://games.kde.org/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/lskat
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/lskat

Package: lskat
Architecture: any
Depends: kdegames-card-data-kf5 (>= 4:17.08.3~),
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: khelpcenter
Breaks: ${kde-l10n:all}
Replaces: ${kde-l10n:all}
Description: Lieutnant Skat card game
 Lieutnant Skat is a simplified variant of the Skat card game for two players.
 .
 This package is part of the KDE games module.

## lskat 18.12.0

=== debian/changelog ===
lskat (4:18.12.0-0ubuntu1) disco; urgency=medium

  * New upstream beta release (18.11.80)
  * New upstream release (18.12.0)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 05 Jan 2019 16:53:48 +0000

=== debian/control ===
--- 
+++ 
@@ -20,7 +20,7 @@
                libkf5doctools-dev (>= 5.30.0~),
                libkf5guiaddons-dev (>= 5.30.0~),
                libkf5i18n-dev (>= 5.30.0~),
-               libkf5kdegames-dev (>= 4:18.08.3~),
+               libkf5kdegames-dev (>= 4:18.12.0~),
                libkf5widgetsaddons-dev (>= 5.30.0~),
                libkf5xmlgui-dev (>= 5.30.0~),
                libphonon4qt5-dev,

## lskat 18.12.1

=== debian/changelog ===
lskat (4:18.12.1-0ubuntu1) disco; urgency=medium

  * New upstream release (18.12.1)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 10 Jan 2019 14:15:32 +0000

=== debian/control ===
--- 
+++ 
@@ -20,7 +20,7 @@
                libkf5doctools-dev (>= 5.30.0~),
                libkf5guiaddons-dev (>= 5.30.0~),
                libkf5i18n-dev (>= 5.30.0~),
-               libkf5kdegames-dev (>= 4:18.12.0~),
+               libkf5kdegames-dev (>= 4:18.12.1~),
                libkf5widgetsaddons-dev (>= 5.30.0~),
                libkf5xmlgui-dev (>= 5.30.0~),
                libphonon4qt5-dev,

## lskat 18.12.2

=== debian/changelog ===
lskat (4:18.12.2-0ubuntu1) disco; urgency=medium

  * New upstream release (18.12.2)

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 17 Feb 2019 13:22:07 +0000

=== debian/control ===
--- 
+++ 
@@ -20,7 +20,7 @@
                libkf5doctools-dev (>= 5.30.0~),
                libkf5guiaddons-dev (>= 5.30.0~),
                libkf5i18n-dev (>= 5.30.0~),
-               libkf5kdegames-dev (>= 4:18.12.1~),
+               libkf5kdegames-dev (>= 4:18.12.2~),
                libkf5widgetsaddons-dev (>= 5.30.0~),
                libkf5xmlgui-dev (>= 5.30.0~),
                libphonon4qt5-dev,

## lskat 18.12.3

=== debian/changelog ===
lskat (4:18.12.3-0ubuntu1) disco; urgency=medium

  * New upstream release (18.12.3)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 07 Mar 2019 13:35:08 +0000

=== debian/control ===
--- 
+++ 
@@ -20,7 +20,7 @@
                libkf5doctools-dev (>= 5.30.0~),
                libkf5guiaddons-dev (>= 5.30.0~),
                libkf5i18n-dev (>= 5.30.0~),
-               libkf5kdegames-dev (>= 4:18.12.2~),
+               libkf5kdegames-dev (>= 4:18.12.3~),
                libkf5widgetsaddons-dev (>= 5.30.0~),
                libkf5xmlgui-dev (>= 5.30.0~),
                libphonon4qt5-dev,

## lskat 19.04.0

=== debian/changelog ===
lskat (4:19.04.0-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.0)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 26 Apr 2019 20:49:42 +0100

=== debian/control ===
--- 
+++ 
@@ -20,7 +20,7 @@
                libkf5doctools-dev (>= 5.30.0~),
                libkf5guiaddons-dev (>= 5.30.0~),
                libkf5i18n-dev (>= 5.30.0~),
-               libkf5kdegames-dev (>= 4:18.12.3~),
+               libkf5kdegames-dev (>= 4:19.04.0~),
                libkf5widgetsaddons-dev (>= 5.30.0~),
                libkf5xmlgui-dev (>= 5.30.0~),
                libphonon4qt5-dev,

## lskat 19.04.1

=== debian/changelog ===
lskat (4:19.04.1-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.1)

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 12 May 2019 21:04:17 +0100

=== debian/control ===
--- 
+++ 
@@ -20,7 +20,7 @@
                libkf5doctools-dev (>= 5.30.0~),
                libkf5guiaddons-dev (>= 5.30.0~),
                libkf5i18n-dev (>= 5.30.0~),
-               libkf5kdegames-dev (>= 4:19.04.0~),
+               libkf5kdegames-dev (>= 4:19.04.1~),
                libkf5widgetsaddons-dev (>= 5.30.0~),
                libkf5xmlgui-dev (>= 5.30.0~),
                libphonon4qt5-dev,

## lskat 19.04.2

=== debian/changelog ===
lskat (4:19.04.2-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.2)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 08 Jun 2019 15:15:30 +0100

=== debian/control ===
--- 
+++ 
@@ -20,7 +20,7 @@
                libkf5doctools-dev (>= 5.30.0~),
                libkf5guiaddons-dev (>= 5.30.0~),
                libkf5i18n-dev (>= 5.30.0~),
-               libkf5kdegames-dev (>= 4:19.04.1~),
+               libkf5kdegames-dev (>= 4:19.04.2~),
                libkf5widgetsaddons-dev (>= 5.30.0~),
                libkf5xmlgui-dev (>= 5.30.0~),
                libphonon4qt5-dev,

## lskat 19.04.3

=== debian/changelog ===
lskat (4:19.04.3-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.3)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 11 Jul 2019 14:20:46 +0100

=== debian/control ===
--- 
+++ 
@@ -20,7 +20,7 @@
                libkf5doctools-dev (>= 5.30.0~),
                libkf5guiaddons-dev (>= 5.30.0~),
                libkf5i18n-dev (>= 5.30.0~),
-               libkf5kdegames-dev (>= 4:19.04.2~),
+               libkf5kdegames-dev (>= 4:19.04.3~),
                libkf5widgetsaddons-dev (>= 5.30.0~),
                libkf5xmlgui-dev (>= 5.30.0~),
                libphonon4qt5-dev,

## lskat 19.08.0

=== debian/changelog ===
lskat (4:19.08.0-2ubuntu1) focal; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs fields.
    - Breaks/Replaces to suit Kubuntu version history.

 -- Rik Mills <rikmills@kde.org>  Tue, 05 Nov 2019 20:22:04 +0000

lskat (4:19.08.0-2) unstable; urgency=medium

  * New revision
  * Depend on the newer ecm
  * Move qdebug files
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Sat, 21 Sep 2019 07:43:45 -0700

lskat (4:19.08.0-1.1) unstable; urgency=medium

  * Team upload.
  * Useless non-change upload to fix self-inflicted bug in Debian's infra.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sat, 07 Sep 2019 20:36:02 -0300

lskat (4:19.08.0-1) unstable; urgency=medium

  * New upstream release.
  * Replace Lisandro with myself from uploaders.
  * Refresh copyright file.
  * Bump compat to 12.
  * Bump standards to 4.4.0; no changes needed.
  * Move away from dhmk, update rules.
  * Update manpage path.
  * Hook l10npkgs_firstversion_ok into gencontrol.
  * Refresh upstream signing key using export-minimal.
  * Add hardening +bindnow to rules.
  * Improve extended description.
  * Split data into own package to fix lintian:
    arch-dep-package-has-big-usr-share.
  * Add breaks/replace for split.
  * Release to unstable.

 -- Scarlett Moore <sgmoore@kde.org>  Sat, 24 Aug 2019 13:50:49 -0700

=== debian/control ===
Source: lskat
Section: games
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Daniel Schepler <schepler@debian.org>,
           Sune Vuorela <sune@debian.org>,
           Modestas Vainius <modax@debian.org>,
           George Kiagiadakis <gkiagiad@csd.uoc.gr>,
           Eshat Cakar <info@eshat.de>,
           Scarlett Moore <sgmoore@kde.org>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 12),
               extra-cmake-modules (>= 5.59~),
               libkf5config-dev (>= 5.30.0~),
               libkf5configwidgets-dev (>= 5.30.0~),
               libkf5coreaddons-dev (>= 5.30.0~),
               libkf5crash-dev (>= 5.30.0~),
               libkf5dbusaddons-dev (>= 5.30.0~),
               libkf5doctools-dev (>= 5.30.0~),
               libkf5guiaddons-dev (>= 5.30.0~),
               libkf5i18n-dev (>= 5.30.0~),
               libkf5kdegames-dev (>= 4.9.0~),
               libkf5widgetsaddons-dev (>= 5.30.0~),
               libkf5xmlgui-dev (>= 5.30.0~),
               libphonon4qt5-dev,
               libqt5svg5-dev (>= 5.7.0~),
               pkg-kde-tools (>= 0.14),
               qtbase5-dev (>= 5.7.0~),
               qtdeclarative5-dev (>= 5.7.0~)
Standards-Version: 4.4.0
Homepage: http://games.kde.org/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/lskat
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/lskat

Package: lskat
Architecture: any
Depends: kdegames-card-data-kf5,
         lskat-data (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Lieutnant Skat card game
 Lieutenant Skat (from German "Offiziersskat") is a fun and engaging
 card game for two players, where the second player is either live
 opponent, or a built in artificial intelligence.
 .
 This package is part of the KDE games module.

Package: lskat-data
Architecture: all
Depends: ${misc:Depends}
Breaks: lskat (<< 4:19.08.0-1), ${kde-l10n:all}
Replaces: lskat (<= 4:19.08.0-1), ${kde-l10n:all}
Recommends: khelpcenter
Description: Lieutnant Skat card game
 Lieutenant Skat (from German "Offiziersskat") is a fun and engaging
 card game for two players, where the second player is either live
 opponent, or a built in artificial intelligence.
 .
 This package contains the data for lskat.

## lskat 19.08.3

=== debian/changelog ===
lskat (4:19.08.3-0ubuntu1) focal; urgency=medium

  * New upstream release (19.08.1)
  * New upstream release (19.08.2)
  * New upstream release (19.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 07 Nov 2019 13:39:12 +0000

=== debian/control ===
--- 
+++ 
@@ -20,7 +20,7 @@
                libkf5doctools-dev (>= 5.30.0~),
                libkf5guiaddons-dev (>= 5.30.0~),
                libkf5i18n-dev (>= 5.30.0~),
-               libkf5kdegames-dev (>= 4.9.0~),
+               libkf5kdegames-dev (>= 4:19.08.3~),
                libkf5widgetsaddons-dev (>= 5.30.0~),
                libkf5xmlgui-dev (>= 5.30.0~),
                libphonon4qt5-dev,

## lskat 19.12.0

=== debian/changelog ===
lskat (4:19.12.0-0ubuntu1) focal; urgency=medium

  * New upstream release (19.12.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 12 Dec 2019 10:54:37 +0000

=== debian/control ===
--- 
+++ 
@@ -20,14 +20,14 @@
                libkf5doctools-dev (>= 5.30.0~),
                libkf5guiaddons-dev (>= 5.30.0~),
                libkf5i18n-dev (>= 5.30.0~),
-               libkf5kdegames-dev (>= 4:19.08.3~),
+               libkf5kdegames-dev (>= 4:19.12.0~),
                libkf5widgetsaddons-dev (>= 5.30.0~),
                libkf5xmlgui-dev (>= 5.30.0~),
                libphonon4qt5-dev,
                libqt5svg5-dev (>= 5.7.0~),
                pkg-kde-tools (>= 0.14),
                qtbase5-dev (>= 5.7.0~),
-               qtdeclarative5-dev (>= 5.7.0~)
+               qtdeclarative5-dev (>= 5.7.0~),
 Standards-Version: 4.4.0
 Homepage: http://games.kde.org/
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/lskat

=== debian/rules ===
#!/usr/bin/make -f

l10npkgs_firstversion_ok := 4:16.04.3-2~

include /usr/share/pkg-kde-tools/qt-kde-team/2/l10n-packages.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow

%:
	dh $@ --with kf5

override_dh_auto_configure:
	dh_auto_configure -- -DBIN_INSTALL_DIR=/usr/games

override_dh_gencontrol: l10npkgs_firstversion_ok
	dh_gencontrol

override_dh_missing:
	dh_missing --fail-missing

## lskat 19.12.1

=== debian/changelog ===
lskat (4:19.12.1-0ubuntu1) focal; urgency=medium

  * New upstream release (19.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Jan 2020 15:00:57 +0000

lskat (4:19.12.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update watch file to the new release-service location.
  * Move the AppStream metadata from lskat-data to lskat, as it must be
    together with the executable it represents
    - add proper breaks/replaces
  * Bump Standards-Version to 4.4.1, no changes required.
  * Switch from the debhelper build dependency to debhelper-compat
    - remove debian/compat
  * Append "data files" to the short description of lskat-data.
  * Switch cmake parameter BIN_INSTALL_DIR to KDE_INSTALL_BINDIR, as the former
    is deprecated.
  * Make sure to use the kf5 dh addon also when overriding dh_auto_configure.

 -- Pino Toscano <pino@debian.org>  Sun, 05 Jan 2020 14:40:37 +0100

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
            Scarlett Moore <sgmoore@kde.org>,
            Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12~),
-               debhelper (>= 12),
+               debhelper-compat (= 12),
                extra-cmake-modules (>= 5.59~),
                libkf5config-dev (>= 5.30.0~),
                libkf5configwidgets-dev (>= 5.30.0~),
@@ -20,7 +20,7 @@
                libkf5doctools-dev (>= 5.30.0~),
                libkf5guiaddons-dev (>= 5.30.0~),
                libkf5i18n-dev (>= 5.30.0~),
-               libkf5kdegames-dev (>= 4:19.12.0~),
+               libkf5kdegames-dev (>= 4:19.12.1~),
                libkf5widgetsaddons-dev (>= 5.30.0~),
                libkf5xmlgui-dev (>= 5.30.0~),
                libphonon4qt5-dev,
@@ -28,10 +28,10 @@
                pkg-kde-tools (>= 0.14),
                qtbase5-dev (>= 5.7.0~),
                qtdeclarative5-dev (>= 5.7.0~),
-Standards-Version: 4.4.0
+Standards-Version: 4.4.1
 Homepage: http://games.kde.org/
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/lskat
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/lskat
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/lskat
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/lskat.git
 
 Package: lskat
 Architecture: any
@@ -39,6 +39,8 @@
          lskat-data (>= ${source:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
+Breaks: lskat-data (<< 4:19.12.0~)
+Replaces: lskat-data (<< 4:19.12.0~)
 Description: Lieutnant Skat card game
  Lieutenant Skat (from German "Offiziersskat") is a fun and engaging
  card game for two players, where the second player is either live
@@ -49,10 +51,10 @@
 Package: lskat-data
 Architecture: all
 Depends: ${misc:Depends}
-Breaks: lskat (<< 4:19.08.0-1), ${kde-l10n:all}
-Replaces: lskat (<= 4:19.08.0-1), ${kde-l10n:all}
+Breaks: lskat (<= 4:18.04.1-1), ${kde-l10n:all}
+Replaces: lskat (<= 4:18.04.1-1), ${kde-l10n:all}
 Recommends: khelpcenter
-Description: Lieutnant Skat card game
+Description: Lieutnant Skat card game - data files
  Lieutenant Skat (from German "Offiziersskat") is a fun and engaging
  card game for two players, where the second player is either live
  opponent, or a built in artificial intelligence.

## lskat 19.12.2

=== debian/changelog ===
lskat (4:19.12.2-0ubuntu1) focal; urgency=medium

  * New upstream release (19.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Feb 2020 15:26:34 +0000

=== debian/control ===
--- 
+++ 
@@ -20,7 +20,7 @@
                libkf5doctools-dev (>= 5.30.0~),
                libkf5guiaddons-dev (>= 5.30.0~),
                libkf5i18n-dev (>= 5.30.0~),
-               libkf5kdegames-dev (>= 4:19.12.1~),
+               libkf5kdegames-dev (>= 4:19.12.2~),
                libkf5widgetsaddons-dev (>= 5.30.0~),
                libkf5xmlgui-dev (>= 5.30.0~),
                libphonon4qt5-dev,

## lskat 19.12.3

=== debian/changelog ===
lskat (4:19.12.3-0ubuntu1) focal; urgency=medium

  * New upstream release (19.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Mar 2020 16:17:37 +0000

=== debian/control ===
--- 
+++ 
@@ -20,7 +20,7 @@
                libkf5doctools-dev (>= 5.30.0~),
                libkf5guiaddons-dev (>= 5.30.0~),
                libkf5i18n-dev (>= 5.30.0~),
-               libkf5kdegames-dev (>= 4:19.12.2~),
+               libkf5kdegames-dev (>= 4:19.12.3~),
                libkf5widgetsaddons-dev (>= 5.30.0~),
                libkf5xmlgui-dev (>= 5.30.0~),
                libphonon4qt5-dev,

=== debian/rules ===
--- 
+++ 
@@ -10,7 +10,7 @@
 	dh $@ --with kf5
 
 override_dh_auto_configure:
-	dh_auto_configure -- -DBIN_INSTALL_DIR=/usr/games
+	dh_auto_configure -Skf5 -- -DKDE_INSTALL_BINDIR=/usr/games
 
 override_dh_gencontrol: l10npkgs_firstversion_ok
 	dh_gencontrol

## lskat 20.04.0

=== debian/changelog ===
lskat (4:20.04.0-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.04.0)

 -- Rik Mills <rikmills@kde.org>  Mon, 04 May 2020 10:28:20 +0100

=== debian/control ===
--- 
+++ 
@@ -20,7 +20,7 @@
                libkf5doctools-dev (>= 5.30.0~),
                libkf5guiaddons-dev (>= 5.30.0~),
                libkf5i18n-dev (>= 5.30.0~),
-               libkf5kdegames-dev (>= 4:19.12.3~),
+               libkf5kdegames-dev (>= 4:20.04.0~),
                libkf5widgetsaddons-dev (>= 5.30.0~),
                libkf5xmlgui-dev (>= 5.30.0~),
                libphonon4qt5-dev,

## lskat 20.04.1

=== debian/changelog ===
lskat (4:20.04.1-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.04.1)

 -- Rik Mills <rikmills@kde.org>  Fri, 15 May 2020 14:42:25 +0100

=== debian/control ===
--- 
+++ 
@@ -20,7 +20,7 @@
                libkf5doctools-dev (>= 5.30.0~),
                libkf5guiaddons-dev (>= 5.30.0~),
                libkf5i18n-dev (>= 5.30.0~),
-               libkf5kdegames-dev (>= 4:20.04.0~),
+               libkf5kdegames-dev (>= 4:20.04.1~),
                libkf5widgetsaddons-dev (>= 5.30.0~),
                libkf5xmlgui-dev (>= 5.30.0~),
                libphonon4qt5-dev,

## lskat 20.04.2

=== debian/changelog ===
lskat (4:20.04.2-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.04.2)

 -- Rik Mills <rikmills@kde.org>  Sat, 20 Jun 2020 13:25:27 +0100

=== debian/control ===
--- 
+++ 
@@ -20,7 +20,7 @@
                libkf5doctools-dev (>= 5.30.0~),
                libkf5guiaddons-dev (>= 5.30.0~),
                libkf5i18n-dev (>= 5.30.0~),
-               libkf5kdegames-dev (>= 4:20.04.1~),
+               libkf5kdegames-dev (>= 4:20.04.2~),
                libkf5widgetsaddons-dev (>= 5.30.0~),
                libkf5xmlgui-dev (>= 5.30.0~),
                libphonon4qt5-dev,

## lskat 20.04.3

=== debian/changelog ===
lskat (4:20.04.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Drop the Debian man page: it ought to be provided and maintained by
    upstream, in case there is any interest for it.
  * Bump the debhelper compatibility to 13:
    - switch the debhelper-compat build dependency to 13
    - stop passing --fail-missing to dh_missing, as it is the default now
  * Add Rules-Requires-Root: no.
  * Bump Standards-Version to 4.5.0, no changes required.
  * Generate the kde-l10n breaks only for arch:all packages.

 -- Pino Toscano <pino@debian.org>  Mon, 03 Aug 2020 08:02:23 +0200

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
            Scarlett Moore <sgmoore@kde.org>,
            Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12~),
-               debhelper-compat (= 12),
+               debhelper-compat (= 13),
                extra-cmake-modules (>= 5.59~),
                libkf5config-dev (>= 5.30.0~),
                libkf5configwidgets-dev (>= 5.30.0~),
@@ -20,15 +20,16 @@
                libkf5doctools-dev (>= 5.30.0~),
                libkf5guiaddons-dev (>= 5.30.0~),
                libkf5i18n-dev (>= 5.30.0~),
-               libkf5kdegames-dev (>= 4:20.04.2~),
+               libkf5kdegames-dev (>= 4.9.0~),
                libkf5widgetsaddons-dev (>= 5.30.0~),
                libkf5xmlgui-dev (>= 5.30.0~),
                libphonon4qt5-dev,
                libqt5svg5-dev (>= 5.7.0~),
                pkg-kde-tools (>= 0.14),
                qtbase5-dev (>= 5.7.0~),
-               qtdeclarative5-dev (>= 5.7.0~),
-Standards-Version: 4.4.1
+               qtdeclarative5-dev (>= 5.7.0~)
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
 Homepage: http://games.kde.org/
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/lskat
 Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/lskat.git

## lskat 20.08.0

=== CMakeLists.txt ===
project(lskat)

cmake_minimum_required (VERSION 3.5 FATAL_ERROR)
set (QT_MIN_VERSION "5.10.0")
set (KF5_MIN_VERSION "5.46.0")

find_package(ECM ${KF5_MIN_VERSION} REQUIRED CONFIG)
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR})

find_package(Qt5 ${QT_MIN_VERSION} REQUIRED NO_MODULE COMPONENTS Gui Svg Widgets)
find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS
    Config
    CoreAddons
    Crash
    DocTools
    GuiAddons
    I18n
    WidgetsAddons
    XmlGui
)

find_package(KF5KDEGames 4.9.0 REQUIRED)

include(FeatureSummary)
include(ECMAddAppIcon)
include(ECMInstallIcons)
include(KDEInstallDirs)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(KDECMakeSettings)
include(ECMQtDeclareLoggingCategory)

add_definitions(-DQT_USE_FAST_CONCATENATION -DQT_USE_FAST_OPERATOR_PLUS)

if (${KF5Config_VERSION} STRGREATER "5.56.0")
        add_definitions(-DQT_NO_FOREACH)
        MESSAGE(STATUS "compile without foreach")
endif()

add_subdirectory(src)
add_subdirectory(grafix)
add_subdirectory(doc)

########### install files ###############
install(PROGRAMS org.kde.lskat.desktop  DESTINATION  ${KDE_INSTALL_APPDIR})
install(FILES org.kde.lskat.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR})
if (${ECM_VERSION} STRGREATER "5.58.0")
    install(FILES lskat.categories  DESTINATION  ${KDE_INSTALL_LOGGINGCATEGORIESDIR})
else()
    install(FILES lskat.categories  DESTINATION ${KDE_INSTALL_CONFDIR})
endif()

ecm_install_icons(ICONS
    128-apps-lskat.png
    16-apps-lskat.png
    22-apps-lskat.png
    32-apps-lskat.png
    48-apps-lskat.png
    64-apps-lskat.png
    DESTINATION ${KDE_INSTALL_ICONDIR} THEME hicolor
)

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)
ki18n_install(po)
if (KF5DocTools_FOUND)
 kdoctools_install(po)
endif()

=== debian/changelog ===
lskat (4:20.08.0-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 13 Aug 2020 19:53:24 +0100

=== debian/control ===
--- 
+++ 
@@ -20,14 +20,14 @@
                libkf5doctools-dev (>= 5.30.0~),
                libkf5guiaddons-dev (>= 5.30.0~),
                libkf5i18n-dev (>= 5.30.0~),
-               libkf5kdegames-dev (>= 4.9.0~),
+               libkf5kdegames-dev (>= 4:20.08.0~),
                libkf5widgetsaddons-dev (>= 5.30.0~),
                libkf5xmlgui-dev (>= 5.30.0~),
                libphonon4qt5-dev,
                libqt5svg5-dev (>= 5.7.0~),
                pkg-kde-tools (>= 0.14),
                qtbase5-dev (>= 5.7.0~),
-               qtdeclarative5-dev (>= 5.7.0~)
+               qtdeclarative5-dev (>= 5.7.0~),
 Standards-Version: 4.5.0
 Rules-Requires-Root: no
 Homepage: http://games.kde.org/

## lskat 20.08.1

=== debian/changelog ===
lskat (4:20.08.1-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Sep 2020 14:01:58 +0100

=== debian/control ===
--- 
+++ 
@@ -20,7 +20,7 @@
                libkf5doctools-dev (>= 5.30.0~),
                libkf5guiaddons-dev (>= 5.30.0~),
                libkf5i18n-dev (>= 5.30.0~),
-               libkf5kdegames-dev (>= 4:20.08.0~),
+               libkf5kdegames-dev (>= 4:20.08.1~),
                libkf5widgetsaddons-dev (>= 5.30.0~),
                libkf5xmlgui-dev (>= 5.30.0~),
                libphonon4qt5-dev,

## lskat 20.08.3

=== debian/changelog ===
lskat (4:20.08.3-0ubuntu1) hirsute; urgency=medium

  * New upstream release (20.08.3)

 -- Rik Mills <rikmills@kde.org>  Wed, 11 Nov 2020 09:59:55 +0000

=== debian/control ===
--- 
+++ 
@@ -20,7 +20,7 @@
                libkf5doctools-dev (>= 5.30.0~),
                libkf5guiaddons-dev (>= 5.30.0~),
                libkf5i18n-dev (>= 5.30.0~),
-               libkf5kdegames-dev (>= 4:20.08.1~),
+               libkf5kdegames-dev (>= 4:20.08.3~),
                libkf5widgetsaddons-dev (>= 5.30.0~),
                libkf5xmlgui-dev (>= 5.30.0~),
                libphonon4qt5-dev,

## lskat 20.12.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,11 +1,23 @@
-project(lskat)
+cmake_minimum_required (VERSION 3.5 FATAL_ERROR)
 
-cmake_minimum_required (VERSION 3.5 FATAL_ERROR)
+# Release Service version, managed by release script
+set (RELEASE_SERVICE_VERSION_MAJOR "20")
+set (RELEASE_SERVICE_VERSION_MINOR "12")
+set (RELEASE_SERVICE_VERSION_MICRO "0")
+set (RELEASE_SERVICE_COMPACT_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}${RELEASE_SERVICE_VERSION_MINOR}${RELEASE_SERVICE_VERSION_MICRO}")
+
+# Bump LSKAT_BASE_VERSION once new features are added
+set(LSKAT_BASE_VERSION "1.50")
+
+set(LSKAT_VERSION "${LSKAT_BASE_VERSION}.${RELEASE_SERVICE_COMPACT_VERSION}")
+
+project(lskat VERSION ${LSKAT_VERSION})
+
 set (QT_MIN_VERSION "5.10.0")
 set (KF5_MIN_VERSION "5.46.0")
 
 find_package(ECM ${KF5_MIN_VERSION} REQUIRED CONFIG)
-set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR})
+set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH} )
 
 find_package(Qt5 ${QT_MIN_VERSION} REQUIRED NO_MODULE COMPONENTS Gui Svg Widgets)
 find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS
@@ -28,6 +40,7 @@
 include(KDECompilerSettings NO_POLICY_SCOPE)
 include(KDECMakeSettings)
 include(ECMQtDeclareLoggingCategory)
+include(ECMSetupVersion)
 
 add_definitions(-DQT_USE_FAST_CONCATENATION -DQT_USE_FAST_OPERATOR_PLUS)

=== debian/changelog ===
lskat (4:20.12.0-0ubuntu1) hirsute; urgency=medium

  * New upstream release (20.12.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 11 Dec 2020 14:35:44 +0000

=== debian/control ===
--- 
+++ 
@@ -20,7 +20,7 @@
                libkf5doctools-dev (>= 5.30.0~),
                libkf5guiaddons-dev (>= 5.30.0~),
                libkf5i18n-dev (>= 5.30.0~),
-               libkf5kdegames-dev (>= 4:20.08.3~),
+               libkf5kdegames-dev (>= 4:20.12.0~),
                libkf5widgetsaddons-dev (>= 5.30.0~),
                libkf5xmlgui-dev (>= 5.30.0~),
                libphonon4qt5-dev,

## lskat 20.12.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 # Release Service version, managed by release script
 set (RELEASE_SERVICE_VERSION_MAJOR "20")
 set (RELEASE_SERVICE_VERSION_MINOR "12")
-set (RELEASE_SERVICE_VERSION_MICRO "0")
+set (RELEASE_SERVICE_VERSION_MICRO "1")
 set (RELEASE_SERVICE_COMPACT_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}${RELEASE_SERVICE_VERSION_MINOR}${RELEASE_SERVICE_VERSION_MICRO}")
 
 # Bump LSKAT_BASE_VERSION once new features are added

=== debian/changelog ===
lskat (4:20.12.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Remove obsolete field Name from debian/upstream/metadata (already present in
    machine-readable debian/copyright).
  * Update the build dependencies according to the upstream build system:
    - bump cmake to 3.5
    - bump Qt packages to 5.10.0
  * Bump Standards-Version to 4.5.1, no changes required.

 -- Pino Toscano <pino@debian.org>  Thu, 07 Jan 2021 23:24:29 +0100

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
            Eshat Cakar <info@eshat.de>,
            Scarlett Moore <sgmoore@kde.org>,
            Maximiliano Curia <maxy@debian.org>
-Build-Depends: cmake (>= 2.8.12~),
+Build-Depends: cmake (>= 3.5~),
                debhelper-compat (= 13),
                extra-cmake-modules (>= 5.59~),
                libkf5config-dev (>= 5.30.0~),
@@ -20,15 +20,15 @@
                libkf5doctools-dev (>= 5.30.0~),
                libkf5guiaddons-dev (>= 5.30.0~),
                libkf5i18n-dev (>= 5.30.0~),
-               libkf5kdegames-dev (>= 4:20.12.0~),
+               libkf5kdegames-dev (>= 4.9.0~),
                libkf5widgetsaddons-dev (>= 5.30.0~),
                libkf5xmlgui-dev (>= 5.30.0~),
                libphonon4qt5-dev,
-               libqt5svg5-dev (>= 5.7.0~),
+               libqt5svg5-dev (>= 5.10.0~),
                pkg-kde-tools (>= 0.14),
-               qtbase5-dev (>= 5.7.0~),
-               qtdeclarative5-dev (>= 5.7.0~),
-Standards-Version: 4.5.0
+               qtbase5-dev (>= 5.10.0~),
+               qtdeclarative5-dev (>= 5.10.0~),
+Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Homepage: http://games.kde.org/
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/lskat

## lskat 20.12.2

=== debian/changelog ===
lskat (4:20.12.2-0ubuntu1) hirsute; urgency=medium

  * New upstream release (20.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 04 Feb 2021 10:02:29 +0000

=== debian/control ===
--- 
+++ 
@@ -20,7 +20,7 @@
                libkf5doctools-dev (>= 5.30.0~),
                libkf5guiaddons-dev (>= 5.30.0~),
                libkf5i18n-dev (>= 5.30.0~),
-               libkf5kdegames-dev (>= 4.9.0~),
+               libkf5kdegames-dev (>= 4:20.12.2~),
                libkf5widgetsaddons-dev (>= 5.30.0~),
                libkf5xmlgui-dev (>= 5.30.0~),
                libphonon4qt5-dev,

## lskat 20.12.3

=== debian/changelog ===
lskat (4:20.12.3-0ubuntu1) hirsute; urgency=medium

  * New upstream release (20.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 04 Mar 2021 15:29:07 +0000

=== debian/control ===
--- 
+++ 
@@ -20,7 +20,7 @@
                libkf5doctools-dev (>= 5.30.0~),
                libkf5guiaddons-dev (>= 5.30.0~),
                libkf5i18n-dev (>= 5.30.0~),
-               libkf5kdegames-dev (>= 4:20.12.2~),
+               libkf5kdegames-dev (>= 4:20.12.3~),
                libkf5widgetsaddons-dev (>= 5.30.0~),
                libkf5xmlgui-dev (>= 5.30.0~),
                libphonon4qt5-dev,

## lskat 21.04.0

=== debian/changelog ===
lskat (4:21.04.0-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.0)
  * Update install files.

 -- Rik Mills <rikmills@kde.org>  Thu, 29 Apr 2021 01:46:57 +0100

=== debian/control ===
--- 
+++ 
@@ -20,7 +20,7 @@
                libkf5doctools-dev (>= 5.30.0~),
                libkf5guiaddons-dev (>= 5.30.0~),
                libkf5i18n-dev (>= 5.30.0~),
-               libkf5kdegames-dev (>= 4:20.12.3~),
+               libkf5kdegames-dev (>= 4:21.04.0~),
                libkf5widgetsaddons-dev (>= 5.30.0~),
                libkf5xmlgui-dev (>= 5.30.0~),
                libphonon4qt5-dev,

## lskat 21.04.1

=== debian/changelog ===
lskat (4:21.04.1-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 13 May 2021 09:15:51 +0100

=== debian/control ===
--- 
+++ 
@@ -20,7 +20,7 @@
                libkf5doctools-dev (>= 5.30.0~),
                libkf5guiaddons-dev (>= 5.30.0~),
                libkf5i18n-dev (>= 5.30.0~),
-               libkf5kdegames-dev (>= 4:21.04.0~),
+               libkf5kdegames-dev (>= 4:21.04.1~),
                libkf5widgetsaddons-dev (>= 5.30.0~),
                libkf5xmlgui-dev (>= 5.30.0~),
                libphonon4qt5-dev,

## lskat 21.04.2

=== debian/changelog ===
lskat (4:21.04.2-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 10 Jun 2021 10:49:26 +0100

=== debian/control ===
--- 
+++ 
@@ -20,7 +20,7 @@
                libkf5doctools-dev (>= 5.30.0~),
                libkf5guiaddons-dev (>= 5.30.0~),
                libkf5i18n-dev (>= 5.30.0~),
-               libkf5kdegames-dev (>= 4:21.04.1~),
+               libkf5kdegames-dev (>= 4:21.04.2~),
                libkf5widgetsaddons-dev (>= 5.30.0~),
                libkf5xmlgui-dev (>= 5.30.0~),
                libphonon4qt5-dev,

## lskat 21.04.3

=== CMakeLists.txt ===
cmake_minimum_required (VERSION 3.5 FATAL_ERROR)

# Release Service version, managed by release script
set (RELEASE_SERVICE_VERSION_MAJOR "21")
set (RELEASE_SERVICE_VERSION_MINOR "04")
set (RELEASE_SERVICE_VERSION_MICRO "3")
set (RELEASE_SERVICE_COMPACT_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}${RELEASE_SERVICE_VERSION_MINOR}${RELEASE_SERVICE_VERSION_MICRO}")

# Bump LSKAT_BASE_VERSION once new features are added
set(LSKAT_BASE_VERSION "1.50")

set(LSKAT_VERSION "${LSKAT_BASE_VERSION}.${RELEASE_SERVICE_COMPACT_VERSION}")

project(lskat VERSION ${LSKAT_VERSION})

set (QT_MIN_VERSION "5.12.0")
set (KF5_MIN_VERSION "5.68.0")

find_package(ECM ${KF5_MIN_VERSION} REQUIRED CONFIG)
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH} )

find_package(Qt5 ${QT_MIN_VERSION} REQUIRED NO_MODULE COMPONENTS Gui Svg Widgets)
find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS
    Config
    CoreAddons
    Crash
    DocTools
    GuiAddons
    I18n
    WidgetsAddons
    XmlGui
)

find_package(KF5KDEGames 7.3.0 REQUIRED)

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)

include(FeatureSummary)
include(ECMAddAppIcon)
include(ECMInstallIcons)
include(ECMQtDeclareLoggingCategory)
include(ECMSetupVersion)

add_definitions(
    -DQT_USE_FAST_OPERATOR_PLUS
    #-DQT_NO_CAST_FROM_ASCII
    -DQT_NO_CAST_TO_ASCII
    -DQT_NO_CAST_FROM_BYTEARRAY
    -DQT_NO_FOREACH
    -DQT_NO_KEYWORDS
    -DQT_NO_URL_CAST_FROM_STRING
    -DQT_STRICT_ITERATORS
    -DQT_NO_NARROWING_CONVERSIONS_IN_CONNECT
)

add_subdirectory(src)
add_subdirectory(grafix)
add_subdirectory(doc)

########### install files ###############
install(PROGRAMS org.kde.lskat.desktop  DESTINATION  ${KDE_INSTALL_APPDIR})
install(FILES org.kde.lskat.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR})

ecm_install_icons(ICONS
    128-apps-lskat.png
    16-apps-lskat.png
    22-apps-lskat.png
    32-apps-lskat.png
    48-apps-lskat.png
    64-apps-lskat.png
    DESTINATION ${KDE_INSTALL_ICONDIR} THEME hicolor
)

ki18n_install(po)
kdoctools_install(po)

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
lskat (4:21.04.3-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Jul 2021 11:52:00 +0100

=== debian/control ===
--- 
+++ 
@@ -20,7 +20,7 @@
                libkf5doctools-dev (>= 5.30.0~),
                libkf5guiaddons-dev (>= 5.30.0~),
                libkf5i18n-dev (>= 5.30.0~),
-               libkf5kdegames-dev (>= 4:21.04.2~),
+               libkf5kdegames-dev (>= 4:21.04.3~),
                libkf5widgetsaddons-dev (>= 5.30.0~),
                libkf5xmlgui-dev (>= 5.30.0~),
                libphonon4qt5-dev,

## lskat 21.07.80

=== debian/changelog ===
lskat (4:21.07.80-0ubuntu1) impish; urgency=medium

  * New upstream (beta) release (21.07.80)

 -- Rik Mills <rikmills@kde.org>  Sun, 18 Jul 2021 20:39:51 +0100

=== debian/control ===
--- 
+++ 
@@ -20,7 +20,7 @@
                libkf5doctools-dev (>= 5.30.0~),
                libkf5guiaddons-dev (>= 5.30.0~),
                libkf5i18n-dev (>= 5.30.0~),
-               libkf5kdegames-dev (>= 4:21.04.3~),
+               libkf5kdegames-dev (>= 4:21.07.80~),
                libkf5widgetsaddons-dev (>= 5.30.0~),
                libkf5xmlgui-dev (>= 5.30.0~),
                libphonon4qt5-dev,

## lskat 21.07.90

=== debian/changelog ===
lskat (4:21.07.90-0ubuntu1) impish; urgency=medium

  * New upstream (RC) release (21.07.90)

 -- Rik Mills <rikmills@kde.org>  Mon, 02 Aug 2021 13:05:13 +0100

=== debian/control ===
--- 
+++ 
@@ -20,7 +20,7 @@
                libkf5doctools-dev (>= 5.30.0~),
                libkf5guiaddons-dev (>= 5.30.0~),
                libkf5i18n-dev (>= 5.30.0~),
-               libkf5kdegames-dev (>= 4:21.07.80~),
+               libkf5kdegames-dev (>= 4:21.07.90~),
                libkf5widgetsaddons-dev (>= 5.30.0~),
                libkf5xmlgui-dev (>= 5.30.0~),
                libphonon4qt5-dev,

## lskat 21.08.0

=== debian/changelog ===
lskat (4:21.08.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.08.0).

 -- Norbert Preining <norbert@preining.info>  Mon, 16 Aug 2021 16:38:34 +0900

lskat (4:21.04.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.04.0).
  * Fix up libkf5kdegames-dev version.
  * Borrow minimal upstream signing key from k3b.
  * Drop Kubuntu from maintainer name.
  * Removed Eshat Cakar, George Kiagiadakis, Maximiliano Curia, Modestas
    Vainius from the uploaders, thanks for your work on the package!
  * Added myself to the uploaders.
  * Update list of installed files.

 -- Norbert Preining <norbert@preining.info>  Wed, 28 Apr 2021 12:49:07 +0900

=== debian/control ===
Source: lskat
Section: games
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Daniel Schepler <schepler@debian.org>,
           Norbert Preining <norbert@preining.info>,
           Scarlett Moore <sgmoore@kde.org>,
           Sune Vuorela <sune@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.83.0~),
               libkf5config-dev (>= 5.83.0~),
               libkf5configwidgets-dev (>= 5.30.0~),
               libkf5coreaddons-dev (>= 5.83.0~),
               libkf5crash-dev (>= 5.83.0~),
               libkf5dbusaddons-dev (>= 5.30.0~),
               libkf5doctools-dev (>= 5.83.0~),
               libkf5guiaddons-dev (>= 5.83.0~),
               libkf5i18n-dev (>= 5.83.0~),
               libkf5kdegames-dev (>= 4:21.04.0~),
               libkf5widgetsaddons-dev (>= 5.83.0~),
               libkf5xmlgui-dev (>= 5.83.0~),
               libphonon4qt5-dev,
               libqt5svg5-dev (>= 5.15.0~),
               pkg-kde-tools (>= 0.14),
               qtbase5-dev (>= 5.15.0~),
               qtdeclarative5-dev (>= 5.10.0~),
Standards-Version: 4.5.1
Rules-Requires-Root: no
Homepage: http://games.kde.org/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/lskat
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/lskat.git

Package: lskat
Architecture: any
Depends: kdegames-card-data-kf5,
         lskat-data (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Breaks: lskat-data (<< 4:19.12.0~)
Replaces: lskat-data (<< 4:19.12.0~)
Description: Lieutnant Skat card game
 Lieutenant Skat (from German "Offiziersskat") is a fun and engaging
 card game for two players, where the second player is either live
 opponent, or a built in artificial intelligence.
 .
 This package is part of the KDE games module.

Package: lskat-data
Architecture: all
Depends: ${misc:Depends}
Breaks: lskat (<= 4:18.04.1-1), ${kde-l10n:all}
Replaces: lskat (<= 4:18.04.1-1), ${kde-l10n:all}
Recommends: khelpcenter
Description: Lieutnant Skat card game - data files
 Lieutenant Skat (from German "Offiziersskat") is a fun and engaging
 card game for two players, where the second player is either live
 opponent, or a built in artificial intelligence.
 .
 This package contains the data for lskat.

## lskat 21.08.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,9 +1,9 @@
-cmake_minimum_required (VERSION 3.5 FATAL_ERROR)
+cmake_minimum_required (VERSION 3.16 FATAL_ERROR)
 
 # Release Service version, managed by release script
 set (RELEASE_SERVICE_VERSION_MAJOR "21")
-set (RELEASE_SERVICE_VERSION_MINOR "04")
-set (RELEASE_SERVICE_VERSION_MICRO "3")
+set (RELEASE_SERVICE_VERSION_MINOR "08")
+set (RELEASE_SERVICE_VERSION_MICRO "1")
 set (RELEASE_SERVICE_COMPACT_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}${RELEASE_SERVICE_VERSION_MINOR}${RELEASE_SERVICE_VERSION_MICRO}")
 
 # Bump LSKAT_BASE_VERSION once new features are added
@@ -13,8 +13,8 @@
 
 project(lskat VERSION ${LSKAT_VERSION})
 
-set (QT_MIN_VERSION "5.12.0")
-set (KF5_MIN_VERSION "5.68.0")
+set (QT_MIN_VERSION "5.15.0")
+set (KF5_MIN_VERSION "5.83.0")
 
 find_package(ECM ${KF5_MIN_VERSION} REQUIRED CONFIG)
 set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH} )

=== src/CMakeLists.txt ===
ecm_setup_version(${LSKAT_VERSION}
    VARIABLE_PREFIX LSKAT
    VERSION_HEADER lskat_version.h
)

configure_file(config-src.h.in ${CMAKE_CURRENT_BINARY_DIR}/config-src.h)

add_executable(lskat)

target_sources(lskat PRIVATE
    thememanager.cpp
    namedialogwidget.cpp
    gameview.cpp
    mainwindow.cpp
    main.cpp
    deck.cpp
    config_two.cpp
    abstractdisplay.cpp
    display_intro.cpp
    display_two.cpp
    cardsprite.cpp
    pixmapsprite.cpp
    scoresprite.cpp
    textsprite.cpp
    abstractengine.cpp
    engine_two.cpp
    player.cpp
    abstractinput.cpp
    mouseinput.cpp
    aiinput.cpp
    fromlibkdegames/cardcache.cpp
    fromlibkdegames/carddeckinfo.cpp
    fromlibkdegames/kcarddialog.cpp

    lskat.qrc
)

ki18n_wrap_ui(lskat
    namedialog.ui
    fromlibkdegames/kgamecardselector.ui
)

# Debug as default severity, at least until global_debug is removed
ecm_qt_declare_logging_category(lskat
    HEADER lskat_debug.h
    IDENTIFIER LSKAT_LOG
    CATEGORY_NAME org.kde.lskat
    DEFAULT_SEVERITY Debug
    DESCRIPTION "LSkat game"
    EXPORT LSKAT
)

file(GLOB ICONS_SRCS "${CMAKE_CURRENT_SOURCE_DIR}/../*-apps-lskat.png")
ecm_add_app_icon(lskat ICONS ${ICONS_SRCS})

target_link_libraries(lskat
    KF5KDEGames
    KF5::Crash
    KF5::GuiAddons
    KF5::XmlGui
    Qt::Gui
    Qt::Svg
)

install(TARGETS lskat  ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

ecm_qt_install_logging_categories(
    EXPORT LSKAT
    FILE lskat.categories
    DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR}
)

=== debian/changelog ===
lskat (4:21.08.1-0ubuntu1) impish; urgency=medium

  * New upstream release (21.08.1)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Thu, 09 Sep 2021 22:40:54 +0100

lskat (4:21.08.0-0ubuntu1) impish; urgency=medium

  * New upstream release (21.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 12 Aug 2021 09:10:40 +0100

=== debian/control ===
Source: lskat
Section: games
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Daniel Schepler <schepler@debian.org>,
           Sune Vuorela <sune@debian.org>,
           Modestas Vainius <modax@debian.org>,
           George Kiagiadakis <gkiagiad@csd.uoc.gr>,
           Eshat Cakar <info@eshat.de>,
           Scarlett Moore <sgmoore@kde.org>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 3.5~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.59~),
               libkf5config-dev (>= 5.30.0~),
               libkf5configwidgets-dev (>= 5.30.0~),
               libkf5coreaddons-dev (>= 5.30.0~),
               libkf5crash-dev (>= 5.30.0~),
               libkf5dbusaddons-dev (>= 5.30.0~),
               libkf5doctools-dev (>= 5.30.0~),
               libkf5guiaddons-dev (>= 5.30.0~),
               libkf5i18n-dev (>= 5.30.0~),
               libkf5kdegames-dev (>= 4:21.08.1~),
               libkf5widgetsaddons-dev (>= 5.30.0~),
               libkf5xmlgui-dev (>= 5.30.0~),
               libphonon4qt5-dev,
               libqt5svg5-dev (>= 5.10.0~),
               pkg-kde-tools (>= 0.14),
               qtbase5-dev (>= 5.10.0~),
               qtdeclarative5-dev (>= 5.10.0~),
Standards-Version: 4.5.1
Rules-Requires-Root: no
Homepage: http://games.kde.org/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/lskat
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/lskat.git

Package: lskat
Architecture: any
Depends: kdegames-card-data-kf5,
         lskat-data (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: lskat-data (<< 4:19.12.0~)
Replaces: lskat-data (<< 4:19.12.0~)
Description: Lieutnant Skat card game
 Lieutenant Skat (from German "Offiziersskat") is a fun and engaging
 card game for two players, where the second player is either live
 opponent, or a built in artificial intelligence.
 .
 This package is part of the KDE games module.

Package: lskat-data
Architecture: all
Depends: ${misc:Depends}
Breaks: lskat (<= 4:18.04.1-1), ${kde-l10n:all}
Replaces: lskat (<= 4:18.04.1-1), ${kde-l10n:all}
Recommends: khelpcenter
Description: Lieutnant Skat card game - data files
 Lieutenant Skat (from German "Offiziersskat") is a fun and engaging
 card game for two players, where the second player is either live
 opponent, or a built in artificial intelligence.
 .
 This package contains the data for lskat.

## lskat 21.08.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 # Release Service version, managed by release script
 set (RELEASE_SERVICE_VERSION_MAJOR "21")
 set (RELEASE_SERVICE_VERSION_MINOR "08")
-set (RELEASE_SERVICE_VERSION_MICRO "1")
+set (RELEASE_SERVICE_VERSION_MICRO "3")
 set (RELEASE_SERVICE_COMPACT_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}${RELEASE_SERVICE_VERSION_MINOR}${RELEASE_SERVICE_VERSION_MICRO}")
 
 # Bump LSKAT_BASE_VERSION once new features are added

=== debian/changelog ===
lskat (4:21.08.3-0ubuntu1) jammy; urgency=medium

  [ José Manuel Santamaría Lema ]
  * New upstream release (21.08.2)

  [ Rik Mills ]
  * New upstream release (21.08.3)

 -- Rik Mills <rikmills@kde.org>  Mon, 15 Nov 2021 09:48:00 +0000

=== debian/control ===
--- 
+++ 
@@ -20,7 +20,7 @@
                libkf5doctools-dev (>= 5.30.0~),
                libkf5guiaddons-dev (>= 5.30.0~),
                libkf5i18n-dev (>= 5.30.0~),
-               libkf5kdegames-dev (>= 4:21.08.1~),
+               libkf5kdegames-dev (>= 4:21.08.3~),
                libkf5widgetsaddons-dev (>= 5.30.0~),
                libkf5xmlgui-dev (>= 5.30.0~),
                libphonon4qt5-dev,

## lskat 21.11.80

=== debian/changelog ===
lskat (4:21.11.80-0ubuntu1) jammy; urgency=medium

  * New upstream (beta) release (21.11.80)

 -- Rik Mills <rikmills@kde.org>  Sun, 21 Nov 2021 18:32:38 +0000

=== debian/control ===
--- 
+++ 
@@ -20,7 +20,7 @@
                libkf5doctools-dev (>= 5.30.0~),
                libkf5guiaddons-dev (>= 5.30.0~),
                libkf5i18n-dev (>= 5.30.0~),
-               libkf5kdegames-dev (>= 4:21.08.3~),
+               libkf5kdegames-dev (>= 4:21.11.80~),
                libkf5widgetsaddons-dev (>= 5.30.0~),
                libkf5xmlgui-dev (>= 5.30.0~),
                libphonon4qt5-dev,
